import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';
import { d as defineCustomElement$2 } from './bal-icon2.js';

const StageBackLink = /*@__PURE__*/ proxyCustomElement(class StageBackLink extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        /**
         * If `true` adds a text shadow to improve readability on image background
         * */
        this.shadow = false;
        /**
         * If `true` the color gets inverted for dark backgrounds
         */
        this.inverted = false;
    }
    render() {
        const block = BEM.block('stage-back-link');
        return (h(Host, { key: '8a96e969901e8dbb9e29587c7bfac3aa475331f3', class: Object.assign(Object.assign({}, block.class()), block.modifier('shadow').class(this.shadow)) }, h("a", { key: '488c839fe831fbaf64703a0e3ad3fe80caef2968', class: {
                'link': true,
                'is-inverted': this.inverted,
            }, href: this.href, rel: this.rel }, h("bal-icon", { key: '12ced75ad0f38cb7a7ef0f70b9cf5babbaf13842', class: "mr-x-small", name: "caret-left", size: "x-small", inverted: this.inverted, shadow: this.shadow }), h("slot", { key: 'f9bb274429697778e37dab9d89f91315230c93f3' }))));
    }
    get el() { return this; }
}, [4, "bal-stage-back-link", {
        "href": [1],
        "rel": [1],
        "shadow": [4],
        "inverted": [4]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-stage-back-link", "bal-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-stage-back-link":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StageBackLink);
            }
            break;
        case "bal-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const BalStageBackLink = StageBackLink;
const defineCustomElement = defineCustomElement$1;

export { BalStageBackLink, defineCustomElement };
